﻿/*
Form Class
20 July 2008
*/

namespace LithGUI
{

class CForm
{
friend class CGUI;

public:
	void Destroy();

	void SetVisible(bool aVisible);

	CGUI* GetOwner() { return mOwner; }
	tlib::TString GetClassName() { return mClassName; }

	HWND GetWindow() { return mWindow; }

private:
	CForm(CGUI *aOwner, tlib::TString aClassName, tlib::TString aCaption, int aXSize,
			int aYSize);
	~CForm();

	CGUI *mOwner;
	tlib::TString mClassName;

	HWND mWindow;
};

}